> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/data-access/schema/credit-attributes-draft.md).

# Credit Attributes (Draft)

The credit attributes represent a set of properties derived from the credit report. We have defined 9 groups of them, detailed below:

{% hint style="info" %}
**When orders are submitted via** [**Batch Account Review**](/data-access/batch-ordering.md)**, when the bureau is unable to calculate the value for an attribute, instead of returning a special value number, we will return the following string: `Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).`**
{% endhint %}

***

## List of Attributes

### Tradeline

`get_tradeline_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_tradeline_attributes_by_order_id(args: {id: $id}){
    total_tradelines
    # more attributes ...
  }
}
```

{% endcode %}

#### Tradeline Attributes

| Attribute                             | Description                                       | Valid Value Range | Special Value Range\* |
| ------------------------------------- | ------------------------------------------------- | ----------------- | --------------------- |
| **total\_tradelines**                 | Number of Trades                                  | 0 - 92            | 96 - 99               |
| **open\_tradelines**                  | Number of Open Trades                             | 0 - 92            | 96 - 99               |
| **tradeline\_open\_last\_3\_months**  | Number of Trades Opened in the last 3 Months      | 0 - 92            | 96 - 99               |
| **tradeline\_open\_last\_6\_months**  | Number of Trades Opened in the last 6 Months      | 0 - 92            | 96 - 99               |
| **tradeline\_open\_last\_9\_months**  | Number of Trades Opened in the last 12 Months     | 0 - 92            | 96 - 99               |
| **tradeline\_open\_last\_12\_months** | Number of Trades Opened in the last 24 Months     | 0 - 92            | 96 - 99               |
| **months\_oldest\_tradeline\_opened** | Age of the Oldest Trade                           | 0 - 992           | 996 - 999             |
| **months\_recent\_tradeline\_opened** | Age of the Newest Trade                           | 0 - 992           | 996 - 999             |
| **months\_recent\_delinquency**       | Months since the most recent delinquency on trade | 0 - 992           | 996 - 999             |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

<br>

### Revolving

`get_revolving_attributes_by_order_id`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_revolving_attributes_by_order_id(args: {id: $id}){
    total_revolving_tradelines
    # more attributes ...
  }
}
```

{% endcode %}

#### Revolving Attributes

| Attribute                                                                    | Description                                            | Valid Value Range | Special Value Range\* |
| ---------------------------------------------------------------------------- | ------------------------------------------------------ | ----------------- | --------------------- |
| **total\_revolving\_tradelines**                                             | Number of Revolving Trades                             | 0 - 92            | 96 - 99               |
| **open\_revolving\_tradelines**                                              | Number of Open Revolving Trades                        | 0 - 92            | 96 - 99               |
| **revolving\_tradelines\_opened\_last\_6\_months**                           | Number of Revolving Trades Opened in the last 6 Months | 0 - 92            | 96 - 99               |
| **active\_revolving\_open\_ended\_tradelines\_balance\_opened\_last\_12\_m** | Number of Trades Opened in the last 12 Month           | 0 - 92            | 96 - 99               |
| **months\_oldest\_revolving\_tradeline\_opened**                             | Age of the Oldest Revolving Trade                      | 0 - 992           | 996 - 999             |
| **maximum\_bank\_card\_utilization**                                         | Maximum Utilization of Bankcard Trades Reported Ever   | 0 - 9.9992        | 9.9996 - 9.9999       |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

<br>

### Mortgage

`get_mortgage_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_mortgage_attributes_by_order_id(args: {id: $id}){
    total_mortgage_tradelines
    # more attributes ...
  }
}
```

{% endcode %}

#### Mortgage Attributes

| Attribute                                       | Description                      | Valid Value Range | Special Value Range\* |
| ----------------------------------------------- | -------------------------------- | ----------------- | --------------------- |
| **total\_mortgage\_tradelines**                 | Number of Mortgage Trades        | 0 - 92            | 96 - 99               |
| **open\_mortgage\_tradelines**                  | Number of Open Mortgage Trades   | 0 - 92            | 96 - 99               |
| **months\_oldest\_mortgage\_tradeline\_opened** | Age of the Oldest Mortgage Trade | 0 - 992           | 996 - 999             |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

<br>

### Auto

`get_auto_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_auto_attributes_by_order_id(args: {id: $id}){
    total_auto_tradelines
    # more attributes ...
  }
}
```

{% endcode %}

#### Auto Tradelines Attributes

| Attribute                                   | Description                       | Valid Value Range | Special Value Range\* |
| ------------------------------------------- | --------------------------------- | ----------------- | --------------------- |
| **total\_auto\_tradelines**                 | Number of Auto Trades             | 0 - 92            | 96 - 99               |
| **open\_autotradelines**                    | Number of Open Auto Trades        | 0 - 92            | 96 - 99               |
| **months\_recent\_auto\_tradeline\_opened** | Age of the Newest Auto Loan Trade | 0 - 992           | 996 - 999             |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

\ <br>

### Unsecured/Installment

`get_unsecured_installment_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_unsecured_installment_attributes_by_order_id(args: {id: $id}){
    active_installment_tradelines
    # more attributes ...
  }
}
```

{% endcode %}

#### Unsecured / Installment Attributes

| Attribute                                                          | Description                                                                              | Valid Value Range | Special Value Range\* |
| ------------------------------------------------------------------ | ---------------------------------------------------------------------------------------- | ----------------- | --------------------- |
| **active\_installment\_tradelines**                                | Number of Installment Trades                                                             | 0 - 92            | 96 - 99               |
| **active\_installment\_tradelines\_opened\_last\_3\_months**       | Number of Open Installment Trades with Balance > $0 Reported in 3 Months                 | 0 - 92            | 96 - 99               |
| **open\_unsecured\_installment\_tradelines**                       | Number of Open Unsecured Installment Trades Excluding Student Loan Trades                | 0 - 92            | 96 - 99               |
| **unsecured\_installment\_tradelines\_opened\_6\_months**          | Number of Unsecured Installment Trades Excluding Student Loan Trades Opened in 12 Months | 0 - 92            | 96 - 99               |
| **months\_recent\_unsecured\_installment\_tradeline\_opened**      | Age of the Newest Unsecured Installment Trade Excluding Student Loan Trade               | 0 - 992           | 996 - 999             |
| **months\_recent\_unsecured\_installment\_tradeline\_delinquency** | Months Since the Most Recent Delinquency on Unsecured Trade Excluding Student Loan Trade | 0 - 992           | 996 - 999             |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

<br>

### Student Loans

`get_student_loans_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_student_loans_attributes_by_order_id(args: {id: $id}){
    total_student_loan_tradelines
    # more attributes ...
  }
}
```

{% endcode %}

#### Student Loans Tradelines Attributes

| Attribute                                                 | Description                                                    | Valid Value Range | Special Value Range\* |
| --------------------------------------------------------- | -------------------------------------------------------------- | ----------------- | --------------------- |
| **total\_student\_loan\_tradelines**                      | Number of Student Loans Trades                                 | 0 - 92            | 96 - 99               |
| **outstanding\_balance\_open\_student\_loan\_tradelines** | Total Balance on Open Student Loan Trades Reported in 3 Months | 0 - 999999992     | 999999996 - 999999999 |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

<br>

### Specialized

`get_specialized_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_specialized_attributes_by_order_id(args: {id: $id}){
    months_recent_public_record
    # more attributes ...
  }
}
```

{% endcode %}

#### Specialized Attributes

| Attribute                                     | Description                                                                                                       | Valid Value Range | Special Value Range\* |
| --------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- | ----------------- | --------------------- |
| **months\_recent\_public\_record**            | Months Since the Most Recent Public Record Bankruptcy Filed                                                       | 0 - 992           | 996 - 999             |
| **months\_recent\_third\_party\_collection**  | Months Since the Most Recent Collection 3rd Party Non-Medical                                                     | 0 - 992           | 996 - 999             |
| **percent\_opened\_trades\_last\_24\_months** | Percent of Trades Excluding Student Loan Trades Opened in 12 Months to Total Trades Excluding Student Loan Trades | 0 - 9.9992        | 9.9996 - 9.9999       |
| **foreclosures**                              | Number of Foreclosure Trades Ever                                                                                 | 0 - 92            | 96 - 99               |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

***

<br>

### Worst

`get_worst_attributes_by_order_id()`

{% code title="Example" %}

```graphql
query ($id: String!) {
  get_worst_attributes_by_order_id(args: {id: $id}){
    worst_rating_all_tradelines_last_12_Months
    # more attributes ...
  }
}
```

{% endcode %}

#### Worst Attributes

| Attribute                                            | Description                                          | Valid Value Range | Special Value Range\* |
| ---------------------------------------------------- | ---------------------------------------------------- | ----------------- | --------------------- |
| **worst\_rating\_all\_tradelines\_last\_12\_months** | Worst Current Status on Trades Reported in 12 Months | 0 - 6             | 96 - 99               |

\*Bureau was unable to calculate attribute (e.g. no applicable or relevant trades, relevant trades excluded, disputed trade(s), etc).

\*\*Delinquency attribute group is unavailable.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/data-access/schema/credit-attributes-draft.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
